Bug 1021166 - [abrt] gtkpod-2.1.3-2.fc19: tm_adopt_order: Process /usr/bin/gtkpod was killed by signal 11 (SIGSEGV)
[abrt] gtkpod-2.1.3-2.fc19: tm_adopt_order: Process /usr/bin/gtkpod was kille...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtkpod (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:71b03a52657030b3a302cf9de82...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 22:53 EDT by Russell Draper
Modified: 2015-02-17 12:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:45:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.44 KB, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: cgroup (142 bytes, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: core_backtrace (20.18 KB, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: dso_list (13.97 KB, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: environ (1.77 KB, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: maps (71.37 KB, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: open_fds (1.27 KB, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details
File: var_log_messages (667 bytes, text/plain)
2013-10-19 22:53 EDT, Russell Draper
no flags Details

  None (edit)
Description Russell Draper 2013-10-19 22:53:24 EDT
Description of problem:
Ejecting the iPod was the last action I had performed before the crash

Version-Release number of selected component:
gtkpod-2.1.3-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gtkpod
crash_function: tm_adopt_order
executable:     /usr/bin/gtkpod
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 tm_adopt_order at display_tracks.c:1155
 #1 track_display_set_tracks_cb at display_tracks.c:2408
 #6 gtkpod_set_displayed_tracks at gtkpod_app_iface.c:360
 #7 gtkpod_set_current_playlist at gtkpod_app_iface.c:300
 #8 pm_remove_playlist at display_playlists.c:1027
 #13 gp_itdb_remove at gp_itdb.c:384
 #14 gp_eject_ipod at file_itunesdb.c:1046
 #19 gtk_widget_activate at gtkwidget.c:6745
 #20 gtk_menu_shell_activate_item at gtkmenushell.c:1441
 #21 gtk_menu_shell_button_release at gtkmenushell.c:842
Comment 1 Russell Draper 2013-10-19 22:53:27 EDT
Created attachment 814127 [details]
File: backtrace
Comment 2 Russell Draper 2013-10-19 22:53:30 EDT
Created attachment 814128 [details]
File: cgroup
Comment 3 Russell Draper 2013-10-19 22:53:32 EDT
Created attachment 814129 [details]
File: core_backtrace
Comment 4 Russell Draper 2013-10-19 22:53:34 EDT
Created attachment 814130 [details]
File: dso_list
Comment 5 Russell Draper 2013-10-19 22:53:36 EDT
Created attachment 814131 [details]
File: environ
Comment 6 Russell Draper 2013-10-19 22:53:39 EDT
Created attachment 814132 [details]
File: exploitable
Comment 7 Russell Draper 2013-10-19 22:53:41 EDT
Created attachment 814133 [details]
File: limits
Comment 8 Russell Draper 2013-10-19 22:53:43 EDT
Created attachment 814134 [details]
File: maps
Comment 9 Russell Draper 2013-10-19 22:53:46 EDT
Created attachment 814135 [details]
File: open_fds
Comment 10 Russell Draper 2013-10-19 22:53:48 EDT
Created attachment 814136 [details]
File: proc_pid_status
Comment 11 Russell Draper 2013-10-19 22:53:50 EDT
Created attachment 814137 [details]
File: var_log_messages
Comment 12 Gwyn Ciesla 2013-11-06 09:59:40 EST
2.1.4 just hit rawhide, please test and see if that helps.  If you can't install it, please let me know what Fedora release and arch you need a build for.

http://koji.fedoraproject.org/koji/buildinfo?buildID=476496
Comment 13 Fedora End Of Life 2015-01-09 15:18:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 12:45:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.